{%- assign url = include.page.url | absolute_url -%}
{% unless include.share.url == '%url' %}
  {% assign url = url | default: '' | cgi_escape %}
{% endunless %}
{% assign title = include.page.title | default: '' | cgi_escape %}
{% assign description = include.page.description | default: '' | cgi_escape %}
{% assign tags = include.page.tags | join: ',' | default: '' | cgi_escape %}

<a
  {% if include.share.url == '%url' %}
    download
  {% else %}
    target="_blank"
  {% endif %}
  rel="noopener noreferrer nofollow"
  title="{{ include.share.title }}"
  class="{% if page.layout == 'home' or page.layout == 'book' or page.layout == 'feature' %}gray-share {% else %}{{ include.current_color }}{% endif %} mx-5px"
  href="{{ include.share.url | replace: '%url', url | replace: '%title', title | replace: '%description', description | replace: '%tags', tags }}">
  <i class="fa fa-fw fa-{{ include.share.icon }} f-18px" aria-hidden="true"></i>
  <span class="sr-only">{{ include.share.title }}</span>
</a>
